<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>polylib: disjoint_union_sep.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>File&nbsp;List</span></a></li>
      <li><a href="globals.html"><span>File&nbsp;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>disjoint_union_sep.c File Reference</h1><code>#include &lt;stdio.h&gt;</code><br/>
<code>#include &lt;stdlib.h&gt;</code><br/>
<code>#include &lt;<a class="el" href="polylib_8h_source.html">polylib/polylib.h</a>&gt;</code><br/>

<p><a href="disjoint__union__sep_8c_source.html">Go to the source code of this file.</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Defines</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">#define&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="disjoint__union__sep_8c.html#a59799636dce6e7dfa2ce20c48147fa6b">WS</a>&nbsp;&nbsp;&nbsp;0</td></tr>
<tr><td colspan="2"><h2>Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="disjoint__union__sep_8c.html#a51b38b45c0f9368ca2156de51ee8404e">AffContraintes</a> (<a class="el" href="structpolyhedron.html">Polyhedron</a> *<a class="el" href="vector_8c.html#aa45b2e3dcf291527c5aedc420819adfc">p</a>)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="disjoint__union__sep_8c.html#ae66f6b31b5ad750f1fe042a706a4e3d4">main</a> ()</td></tr>
</table>
<hr/><h2>Define Documentation</h2>
<a class="anchor" id="a59799636dce6e7dfa2ce20c48147fa6b"></a><!-- doxytag: member="disjoint_union_sep.c::WS" ref="a59799636dce6e7dfa2ce20c48147fa6b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define WS&nbsp;&nbsp;&nbsp;0</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="disjoint__union__sep_8c_source.html#l00036">36</a> of file <a class="el" href="disjoint__union__sep_8c_source.html">disjoint_union_sep.c</a>.</p>

</div>
</div>
<hr/><h2>Function Documentation</h2>
<a class="anchor" id="a51b38b45c0f9368ca2156de51ee8404e"></a><!-- doxytag: member="disjoint_union_sep.c::AffContraintes" ref="a51b38b45c0f9368ca2156de51ee8404e" args="(Polyhedron *p)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void AffContraintes </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="structpolyhedron.html">Polyhedron</a> *&nbsp;</td>
          <td class="paramname"> <em>p</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="disjoint__union__sep_8c_source.html#l00040">40</a> of file <a class="el" href="disjoint__union__sep_8c_source.html">disjoint_union_sep.c</a>.</p>

<p>References <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, <a class="el" href="types_8h_source.html#l00061">P_VALUE_FMT</a>, and <a class="el" href="polyhedron_8c_source.html#l04623">Polyhedron_PrintConstraints()</a>.</p>

</div>
</div>
<a class="anchor" id="ae66f6b31b5ad750f1fe042a706a4e3d4"></a><!-- doxytag: member="disjoint_union_sep.c::main" ref="ae66f6b31b5ad750f1fe042a706a4e3d4" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="disjoint__union__sep_8c_source.html#l00050">50</a> of file <a class="el" href="disjoint__union__sep_8c_source.html">disjoint_union_sep.c</a>.</p>

<p>References <a class="el" href="disjoint__union__adj_8c_source.html#l00041">AffContraintes()</a>, <a class="el" href="polyhedron_8c_source.html#l01906">Constraints2Polyhedron()</a>, <a class="el" href="polyhedron_8c_source.html#l04404">Disjoint_Domain()</a>, <a class="el" href="polyhedron_8c_source.html#l01616">Domain_Free()</a>, <a class="el" href="matrix_8c_source.html#l00092">Matrix_Free()</a>, <a class="el" href="matrix_8c_source.html#l00203">Matrix_Read()</a>, <a class="el" href="types_8h_source.html#l00115">polyhedron::next</a>, and <a class="el" href="ext__ehrhart_8c_source.html#l00020">WS</a>.</p>

</div>
</div>
</div>
<hr size="1"/><address style="text-align: right;"><small>Generated on Wed Nov 25 17:45:26 2009 for polylib by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.6.1 </small></address>
</body>
</html>
